# Desc: Adaptation of Erratic file for a generic, circular robot


define circlebot position
(
  # actual size
  size [0.10 0.10]

  # the center of rotation is offset from its center of area
  origin [0 0.0 0]

  # draw a nose on the robot so we can see which way it points
  gui_nose 1

  # estimated mass in KG
  mass 1.0 
	
  polygons 1
  polygon[0].points 16
  polygon[0].point[0] [ 0.0225 0.0000 ]
  polygon[0].point[1] [ 0.0208 0.0086 ]
  polygon[0].point[2] [ 0.0159 0.0159 ]
  polygon[0].point[3] [ 0.0086 0.0208 ]
  polygon[0].point[4] [ 0.0000 0.0225 ]
  polygon[0].point[5] [ -0.0086 0.0208 ]
  polygon[0].point[6] [ -0.0159 0.0159 ]
  polygon[0].point[7] [ -0.0208 0.0086 ]
  polygon[0].point[8] [ -0.0225 0.0000 ]
  polygon[0].point[9] [ -0.0208 -0.0086 ]
  polygon[0].point[10] [ -0.0159 -0.0159 ]
  polygon[0].point[11] [ -0.0086 -0.0208 ]
  polygon[0].point[12] [ -0.0000 -0.0225 ]
  polygon[0].point[13] [ 0.0086 -0.0208 ]
  polygon[0].point[14] [ 0.0159 -0.0159 ]
  polygon[0].point[15] [ 0.0208 -0.0086 ]

  # this polygon approximates the shape of erratic
  #polygons 1
  #polygon[0].points 8
  #polygon[0].point[0] [  0.19  0.11 ]
  #polygon[0].point[1] [  0.13  0.19 ]
  #polygon[0].point[2] [ -0.13  0.19 ]
  #polygon[0].point[3] [ -0.19  0.10 ]
  #polygon[0].point[4] [ -0.19 -0.10 ]
  #polygon[0].point[5] [ -0.13 -0.19 ]
  #polygon[0].point[6] [  0.13 -0.19 ]
  #polygon[0].point[7] [  0.19 -0.11 ]

  # differential steering model
  drive "diff"

  # uncomment this line if you want to model real Erratics with SICK
  # lasers, where the laser is taller than the robot
  # laser_return 0

) 

#define erratic_battery erratic
#(
#  power( pose [-0.14 0 0] capacity 100000 probe_range 0.50  give 0 give_rate 100 take_rate 100 )
#)

#
# no model for IR floor sensors
#
